org.apache.commons.ssl.asn1

## Class BERGenerator

- java.lang.Object
- - org.apache.commons.ssl.asn1.ASN1Generator
  - - org.apache.commons.ssl.asn1.BERGenerator

Direct Known Subclasses:
  BEROctetStringGenerator, BERSequenceGenerator

    public class BERGenerator
    extends ASN1Generator

### Field Summary

Fields
`private boolean` `_isExplicit`
`private boolean` `_tagged`
`private int` `_tagNo`

### Fields inherited from class org.apache.commons.ssl.asn1.ASN1Generator

`_out`

### Constructor Summary

Constructors
`protected` `BERGenerator(java.io.OutputStream out)`
`` `BERGenerator(java.io.OutputStream out, int tagNo, boolean isExplicit)`

### Method Summary

Methods
`java.io.OutputStream` `getRawOutputStream()`
`protected void` `writeBERBody(java.io.InputStream contentStream)`
`protected void` `writeBEREnd()`
`protected void` `writeBERHeader(int tag)`
`private void` `writeHdr(int tag)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _tagged

    private boolean _tagged

#### _isExplicit

    private boolean _isExplicit

#### _tagNo

    private int _tagNo

### Constructor Detail

#### BERGenerator

    protected BERGenerator(java.io.OutputStream out)

#### BERGenerator

    public BERGenerator(java.io.OutputStream out,
                int tagNo,
                boolean isExplicit)

### Method Detail

#### getRawOutputStream

    public java.io.OutputStream getRawOutputStream()

Specified by:
  `getRawOutputStream` in class `ASN1Generator`

#### writeHdr

    private void writeHdr(int tag)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

#### writeBERHeader

    protected void writeBERHeader(int tag)
                           throws java.io.IOException

Throws:
  `java.io.IOException`

#### writeBERBody

    protected void writeBERBody(java.io.InputStream contentStream)
                         throws java.io.IOException

Throws:
  `java.io.IOException`

#### writeBEREnd

    protected void writeBEREnd()
                        throws java.io.IOException

Throws:
  `java.io.IOException`